Subject: bug#8687: 23.3.50; Emacs doesn't properly initialize a TTY when resuming it

From: Stefan Monnier <[email-masked]>
Date: Tue, 17 May 2011 21:29:13 -0300

> When an Emacs server resumes a suspended frame on a TTY, it doesn't
> switch back to the alternate screen. This causes the UI to still be
> visible on the screen after closing the frame, which doesn't match the
> behavior of a normal Emacs session. This occurs in the 23.3 release, and
> in the latest versions on the "emacs-23" and "trunk" BZR branches.

> I have attached a patch which allows Emacs to switch back to the
> alternate screen when resuming a TTY frame.

Thanks.  I've installed it in the trunk (i.e. for Emacs-24).
I'm not familiar enough with this code to know for sure how safe it is
and it seemed like a fairly minor issue, so I prefer to leave it
unfixed in Emacs-23.4 (if we ever release such a thing).

        Stefan